create or replace 
package body financials
as

procedure retrieve_financial_status
( p_customer_id       in number
, p_total_revenue     out number
, p_credit_limit      out number
, p_outstanding_debt  out number
, p_avg_pay_delay     out number -- avg number of days from billing-date to pay-date
) is
begin
  for r in (select * from financial_data where customer_id = p_customer_id) loop
    p_total_revenue     := r.total_revenue;
    p_credit_limit      := r.credit_limit;
    p_outstanding_debt  := r.outstanding_debt;
    p_avg_pay_delay     := r.avg_pay_delay;
  end loop;

end retrieve_financial_status;
end financials;
/

