create or replace 
package financials
as

procedure retrieve_financial_status
( p_customer_id       in number
, p_total_revenue     out number
, p_credit_limit      out number
, p_outstanding_debt  out number
, p_avg_pay_delay     out number -- avg number of days from billing-date to pay-date
);

end financials;
/

create table financial_data
( customer_id number(10)
, total_revenue     number(15,3)
, credit_limit      number(10,2)
, outstanding_debt  number(12,2)
, avg_pay_delay     number(4,1)
)
/
insert into financial_data
( customer_id 
, total_revenue     
, credit_limit      
, outstanding_debt  
, avg_pay_delay     
)
values
( 1
, 2412012
, 100000
, 13000
, 191.4
)
/
insert into financial_data
( customer_id 
, total_revenue     
, credit_limit      
, outstanding_debt  
, avg_pay_delay     
)
values
( 2
, 91552
, 1000
, 3700
, 412.8
)
/
insert into financial_data
( customer_id 
, total_revenue     
, credit_limit      
, outstanding_debt  
, avg_pay_delay     
)
values
( 3
, 6511.43
, 750
, 98.75
, 54.1
)
/
insert into financial_data
( customer_id 
, total_revenue     
, credit_limit      
, outstanding_debt  
, avg_pay_delay     
)
values
( 4
, 74213.12
, 4000
, 0
, 254
)
/
